For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCancel transaction
      • POSTCapture transaction
      • POSTDeposit Transaction
      • POSTEstablish a new Transaction for authorization
      • GETGet transactions
      • POSTPreauthorize Transaction
      • POSTReclaim Transaction
      • POSTRefresh a transaction
      • POSTRefund Transaction
      • GETRetrieve a transaction
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APITransactions

Refresh a transaction

|View as Markdown|Open in Claude|
POST
https://sandbox.trustly.one/api/v1/transactions/:transactionId/refresh
POST
/api/v1/transactions/:transactionId/refresh
$curl -X POST https://sandbox.trustly.one/api/v1/transactions/transactionId/refresh \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -u "<username>:<password>" \
> -d "splitToken=CIfiq7boMRABGNQBIAAqau%2FMFCGD81tomRcHj6ds1WhZCXnA2VjVKvw%2BMMlDD0Ir1bcejQECE7vxkA08eNjJoMYIIBy5VidbN57rR%2FmpAdqcA4wB%2FNJiI3a0BR3e09430S1mvdv5FPIr26NmUhmHKcGv0qXv5z7bsBY"
200Example
1{
2 "refresh": {
3 "processId": "ref-_VyZZyRwCD2Io_umykS_vhbx"
4 }
5}
Refresh allows for data associated with a transaction to be updated to the most recent available.
Was this page helpful?
Previous

Reclaim Transaction

Next

Refund Transaction

Built with

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired

Request

splitTokenstringRequired

Token received from the Authorize event. Note: string value must be URL encoded.

Response

OK
refreshobject